# Quantify-scheduler documentation

:::::{grid} 1 1 1 2

:::: {grid-item-card}
:text-align: center
:img-top: images/index_getting_started.svg
:img-alt: getting started image

**Getting started and user guide**
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

First steps to hit the ground running, quick installation instructions
and explanation of Quantify-scheduler basics.

+++

```{button-ref} user/index
    :expand:
    :color: secondary
    :click-parent:

    To the user guide
```
::::



:::: {grid-item-card}
:text-align: center
:img-top: images/index_user_guide.svg
:img-alt: tutorials image




**Tutorials**
^^^^^^^^^^^^^

Interactive lessons to allow you easily define, manage, execute and analyze complex
experiments, using a combination of Quantify-scheduler and Quantify-core.

+++

```{button-ref} tutorials/index
    :expand:
    :color: secondary
    :click-parent:

    To the tutorials
```

::::

:::::

:::::{grid} 1 1 1 2

:::: {grid-item-card}
:text-align: center
:img-top: images/index_api.svg
:img-alt: API reference image

**API reference**
^^^^^^^^^^^^^^^^^

A detailed description of the functions, modules, and objects included in
Quantify-scheduler.

+++

```{button-ref} autoapi/quantify_scheduler/index
    :expand:
    :color: secondary
    :click-parent:

    To the API reference
```
::::

:::: {grid-item-card}
:text-align: center
:img-top: images/index_contribute.svg
:img-alt: API reference image

**Developer guide**
^^^^^^^^^^^^^^^^^^^

Want to contribute to Quantify? This is a place to get started, learn about Quantify
code conventions, and get some idea about our future plans and proposed features.

+++
```{button-ref} dev/index
    :expand:
    :color: secondary
    :click-parent:

    To the developer guide
```
::::

:::::

```{toctree}
:caption: Contents
:hidden:

user/index
tutorials/index
examples/index
reference/index
dev/index
API reference <autoapi/quantify_scheduler/index.rst>
```



# Indices and tables

- {ref}`genindex`
- {ref}`modindex`
- {ref}`search`
